import request from '@/utils/request'

// 查询成功案例列表
export function listPairSuccess(query) {
  return request({
    url: '/xq/pairSuccess/list',
    method: 'get',
    params: query
  })
}

// 查询成功案例详细
export function getPairSuccess(id) {
  return request({
    url: '/xq/pairSuccess/' + id,
    method: 'get'
  })
}

// 新增成功案例
export function addPairSuccess(data) {
  return request({
    url: '/xq/pairSuccess',
    method: 'post',
    data: data
  })
}

// 修改成功案例
export function updatePairSuccess(data) {
  return request({
    url: '/xq/pairSuccess',
    method: 'put',
    data: data
  })
}

// 删除成功案例
export function delPairSuccess(id) {
  return request({
    url: '/xq/pairSuccess/' + id,
    method: 'delete'
  })
}
